<div
  class="alert"
  [ngClass]="alerta"
  role="alert">
  A simple primary alert—check it out!
</div>

<button
  type="button"
  class="btn btn-info"
  (click)="alerta = 'alert-info'"> Info </button>

<button
  type="button"
  class="btn btn-success"
  (click)="alerta = 'alert-success'"> Success </button>

<br><br>
<h3 [ngClass]="{
    'text-danger': propiedades.danger,
    'text-info': !propiedades.danger
  }">
  Hola Mundo
</h3>

<button
  type="button"
  class="btn"
  (click)="propiedades.danger = !propiedades.danger"
  [ngClass]="{
    'btn-danger': propiedades.danger,
    'btn-info': !propiedades.danger
  }">
  Cambiar
</button>

<br><br>
<h3>Proceso Asíncrono</h3>

<!-- para esto agregar autoreplase de FontAwesomeConfig -->
<button
  (click)="ejecutar()"
  type="button"
  name="button"
  class="btn btn-primary"
  [disabled]="loading">
  <i
    [ngClass]="{
      'fa-save': !loading,
      'fa-sync fa-spin': loading
    }"
    class="fa"></i>
  <span *ngIf="!loading">Guardar Cambios</span>
  <span *ngIf="loading">Espere por favor...</span>
</button>
